run:
    root: /path/to/fmf_root
    remove: false
    environment:
        RUN_ENV: run_value
    context: {}
plans:
  - name: /plans/local
    summary: A local plan
    enabled: true
    order: 50
    link:
      - relates: https://something.org/related
    environment:
        PLAN_ENV: plan_value
    discover:
        enabled: true
        phases:
          - name: discover-fmf
            how: fmf
            order: 50
            url-content-type: git
            dist-git-source: false
            dist-git-download-only: false
            dist-git-install-builddeps: false
            modified-only: false
            dist-git-init: false
            dist-git-remove-fmf-root: false
            dist-git-merge: false
            sync-repo: false
            fmf-id: false
            prune: false
          - name: discover-shell
            how: shell
            order: 50
            url-content-type: git
            dist-git-source: false
            dist-git-download-only: false
            dist-git-install-builddeps: false
            keep-git-metadata: false
            tests:
              - name: /shell-test
                test: /bin/true
                enabled: true
                order: 50
                manual: false
                tty: false
                duration: 1h
                result: respect
        tests:
          - name: /discover-fmf/tests/first
            discover-phase: discover-fmf
            test: ./test.sh
            path: /discover-fmf/tests
            summary: First test
            enabled: true
            order: 50
            framework: beakerlib
            manual: false
            tty: false
            duration: 5m
            restart-max-count: 1
            restart-with-reboot: false
            serial-number: 1
            require:
              - url: https://github.com/beakerlib/test
                name: /very/deep/file
                type: library
            environment:
                TEST_ENV: test_value
            result: respect
          - name: /discover-fmf/tests/second
            discover-phase: discover-fmf
            test: echo SECOND_TEST
            path: /discover-fmf/tests
            summary: Second test
            enabled: true
            order: 50
            framework: shell
            manual: false
            tty: false
            duration: 5m
            restart-max-count: 1
            restart-with-reboot: false
            serial-number: 2
            result: respect
            check:
              - how: dmesg
                enabled: true
                result: info
                failure-pattern:
                  - 'Call Trace:'
                  - \ssegfault\s
          - name: /discover-shell/shell-test
            discover-phase: discover-shell
            test: /bin/true
            path: /discover-shell/tests
            enabled: true
            order: 50
            framework: shell
            manual: false
            tty: false
            duration: 1h
            restart-max-count: 1
            restart-with-reboot: false
            serial-number: 3
            result: respect
    provision:
        enabled: true
        phases:
          - name: default-0
            how: container
            order: 50
            become: false
            environment:
                PROVISION_ENV: provision_value
            image: fedora
            user: root
            force-pull: false
            pull-attempts: 5
            pull-interval: 5
            stop-time: 1
    prepare:
        enabled: true
        phases:
          - name: default-0
            how: shell
            order: 50
            script:
              - echo "Prepare phase"
    execute:
        enabled: true
        phases:
          - name: Execute phase
            how: tmt
            order: 50
            duration: 1h
            ignore-duration: false
            exit-first: false
            interactive: false
            restraint-compatible: false
            no-progress-bar: false
        results-path: plans/local/execute/results.yaml
    report:
        enabled: true
        phases:
          - name: default-0
            how: display
            order: 50
            display-guest: auto
    finish:
        enabled: true
        phases:
          - name: default-0
            how: shell
            order: 50
            script:
              - echo "Finish phase"
    cleanup:
        enabled: true
        phases:
          - name: default-0
            how: tmt
            order: 50
